summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Juan M. Lasca2022-07-15 19:47:35 +0200
committer Willy Sudiarto Raharjo2022-07-17 01:40:07 +0200
commit652baefc736163d7de77395f9ba455a9e1a65cc2 (patch)
treef5091f08e25700f805fe8c32bbefbec7824dac4f
parent0b5d802d66dd40e5964ed95f34c55ab667cb40c9 (diff)
downloadslackbuilds-652baefc736163d7de77395f9ba455a9e1a65cc2.tar.gz
academic/plus42: Added (An Enhanced HP-42S Calculator Simulator)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--academic/plus42/README13
-rw-r--r--academic/plus42/doinst.sh4
-rw-r--r--academic/plus42/plus42.SlackBuild107
-rw-r--r--academic/plus42/plus42.desktop8
-rw-r--r--academic/plus42/plus42.info10
-rw-r--r--academic/plus42/slack-desc19
6 files changed, 161 insertions, 0 deletions
diff --git a/academic/plus42/README b/academic/plus42/README
new file mode 100644
index 0000000000..b3bcdba31a
--- /dev/null
+++ b/academic/plus42/README
@@ -0,0 +1,13 @@
+Plus42 is an advanced scientific programmable calculator, based on
+Free42 (a complete re-implementation of the HP-42S scientific
+programmable RPN calculator) and adds:
+A Larger Display, with 8 rows and 22 columns (131x64 pixels) by default,
+which the user may resize at will;
+Algebraic Expressions modeled after those used on the HP-27S and
+HP-17B/19B;
+attached Units and unit conversions modeled after those used on the
+HP-48/49/50 series;
+Directories for more organized storage of programs and variables;
+TVM and amortization tables;
+and two-dimensional Plotting of functions, with ability to zoom and pan,
+and find integrals and roots from points in the plot.
diff --git a/academic/plus42/doinst.sh b/academic/plus42/doinst.sh
new file mode 100644
index 0000000000..4e8ba7071d
--- /dev/null
+++ b/academic/plus42/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/academic/plus42/plus42.SlackBuild b/academic/plus42/plus42.SlackBuild
new file mode 100644
index 0000000000..8ca6aa563d
--- /dev/null
+++ b/academic/plus42/plus42.SlackBuild
@@ -0,0 +1,107 @@
+#!/bin/bash
+
+# Slackware build script for plus42
+
+# Copyright 2022 Juan M. Lasca juanmlasca@gmail.com
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=plus42
+VERSION=${VERSION:-1.0.9}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz ||
+ tar xvf $CWD/${PRGNAM}desktop-$VERSION.tar.gz
+mv ${PRGNAM}desktop-$VERSION $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+cd gtk
+sed -i "s|-g\ |$SLKCFLAGS|" Makefile
+make -e BCD_MATH=1 AUDIO_ALSA=1
+cd ..
+mkdir -p $PKG/usr/bin $PKG/usr/share/applications $PKG/usr/share/pixmaps
+
+cp gtk/plus42dec $PKG/usr/bin
+cp gtk/icon-128x128.xpm $PKG/usr/share/pixmaps/plus42icon-128x128.xpm
+cp $CWD/plus42.desktop $PKG/usr/share/applications
+(cd $PKG/usr/bin; ln -s plus42dec plus42)
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README COPYING HISTORY CREDITS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a gtk/README $PKG/usr/doc/$PRGNAM-$VERSION/README-GTK
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/academic/plus42/plus42.desktop b/academic/plus42/plus42.desktop
new file mode 100644
index 0000000000..dfcf2b2c11
--- /dev/null
+++ b/academic/plus42/plus42.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Comment=
+Terminal=false
+Name=Plus42
+Exec=/usr/bin/plus42dec
+Type=Application
+Categories=Utility;Calculator;
+Icon=/usr/share/pixmaps/plus42icon-128x128.xpm
diff --git a/academic/plus42/plus42.info b/academic/plus42/plus42.info
new file mode 100644
index 0000000000..9b5e64035f
--- /dev/null
+++ b/academic/plus42/plus42.info
@@ -0,0 +1,10 @@
+PRGNAM="plus42"
+VERSION="1.0.9"
+HOMEPAGE="https://www.thomasokken.com/plus42"
+DOWNLOAD="https://github.com/thomasokken/plus42desktop/archive/v1.0.9/plus42-1.0.9.tar.gz"
+MD5SUM="0d7219d49dedb3adc6c5a6c2618d8f2a"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Juan M. Lasca"
+EMAIL="juanmlasca@gmail.com"
diff --git a/academic/plus42/slack-desc b/academic/plus42/slack-desc
new file mode 100644
index 0000000000..c0fff5e1c4
--- /dev/null
+++ b/academic/plus42/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+plus42: plus42 (An Enhanced HP-42S Calculator Simulator)
+plus42:
+plus42: Plus42 is an advanced scientific programmable calculator, based on
+plus42: Free42 (a complete re-implementation of the HP-42S scientific
+plus42: programmable RPN calculator)
+plus42:
+plus42: Plus42 builds on Free42 and adds: A Larger Display, with 8 rows and 22
+plus42: columns (131x64 pixels) by default, which the user may resize at will;
+plus42: Algebraic Expressions; attached Units and unit conversions;
+plus42: Directories; TVM and amortization tables; and two-dimensional Plotting
+plus42: of functions.